Subject: Re: What's cooking in git.git (Aug 2025, #01; Sun, 3)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 4 Aug 2025 11:47:02 +0200

On Mon, Aug 04, 2025 at 01:23:40AM -0700, Junio C Hamano wrote:
> * ps/remote-rename-fix (2025-07-31) 7 commits
>  - builtin/remote: only iterate through refs that are to be renamed
>  - builtin/remote: rework how remote refs get renamed
>  - builtin/remote: determine whether refs need renaming early on
>  - builtin/remote: fix sign comparison warnings
>  - refs: simplify logic when migrating reflog entries
>  - refs: pass refname when invoking reflog entry callback
>  - Merge branch 'ps/reflog-migrate-fixes' into ps/remote-rename-fix
>  (this branch uses ps/reflog-migrate-fixes.)
> 
>  "git remote rename origin upstream" failed to move origin/HEAD to
>  upstream/HEAD when origin/HEAD is unborn and performed other
>  renames extremely inefficiently, which has been corrected.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I've sent one more version of this patch series for a couple of final
finishing touches. If Peff is happy with that version I'm happy to see
it merged.

> * ps/reflog-migrate-fixes (2025-07-29) 9 commits
>  - refs: fix invalid old object IDs when migrating reflogs
>  - refs: stop unsetting REF_HAVE_OLD for log-only updates
>  - refs/files: detect race when generating reflog entry for HEAD
>  - refs: fix identity for migrated reflogs
>  - ident: fix type of string length parameter
>  - builtin/reflog: implement subcommand to write new entries
>  - refs: export `ref_transaction_update_reflog()`
>  - builtin/reflog: improve grouping of subcommands
>  - Documentation/git-reflog: convert to use synopsis type
>  (this branch is used by ps/remote-rename-fix.)
> 
>  "git refs migrate" to migrate the reflog entries from a refs
>  backend to another had a handful of bugs squashed.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I'm happy with this version, so if the above goes in I think this one
here can also be merged.

Thanks!

Patrick